.right-menu {
  position: fixed;
  margin-top: 40px;
  top: 45%;
  right: 1%;
  transform: translateY(-50%);
  z-index: 99;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.right-menu-guide,
.right-menu-download {
  width: 65px;
  height: auto;
  max-height: 233px;
  object-fit: contain;
  cursor: pointer;
  transition: transform 0.3s ease;
  margin-top: 10px;
}

.right-menu-guide:hover,
.right-menu-download:hover {
  transform: scale(1.05);
}

@media only screen and (max-height: 800px) {
  .right-menu-guide,
  .right-menu-download {
    max-height: 180px;
  }
}

@media only screen and (max-height: 600px) {
  .right-menu-guide,
  .right-menu-download {
    max-height: 140px;
  }
}

@media only screen and (max-width: 640px) {
  .right-menu {
    width: 10%;
    right: 4%;
  }
  .right-menu-guide,
  .right-menu-download {
    margin: 5px 0;
  }
}

@media only screen and (max-width: 480px) {
  .section-3-social-icon {
    width: 30px;
    height: 30px;
  }

  .right-menu {
    width: 10%;
    right: 4%;
  }

  .right-menu-guide,
  .right-menu-download {
    height: 150px;
    margin: 5px 0;
  }
}

@media only screen and (min-width: 961px) {
  .right-menu-guide,
  .right-menu-download {
    max-height: 400px;
    width: 100px;
  }

  .right-menu-download {
    display: none;
  }
}